### Method

# Pango Layout set_single_paragraph_mode

#### Declaration [src]

    void
    pango_layout_set_single_paragraph_mode (
      PangoLayout* layout,
      gboolean setting
    )

#### Description [src]

Sets the single paragraph mode of `layout`.

If `setting` is `TRUE`, do not treat newlines and similar characters as paragraph separators; instead, keep all text in a single paragraph, and display a glyph for paragraph separator characters. Used when you want to allow editing of newlines on a single text line.

The default value is `FALSE`.

#### Parameters

`setting`

  Type: `gboolean`

  New setting.